%define name		em
%define version		1.18
%define release		2mdk

Name: %{name}
Version: %{version}
Release: %{release}
Group: Networking/File transfer
Copyright: Free to use and distribute. Please ask before selling or modifying. The copyright is owned by the Author.
Summary: EasyMirror: An Easy to use Mirror program.
Packager: Ronan-Yann Lorin <lorin@mygale.org>
Prefix: /usr
Source: %{name}-%{version}.tar.bz2
Patch: em.patch.bz2
BuildRoot: /var/tmp/%{name}-buildroot

%description
This is an EASY TO USE ftp mirror program. Just
setup and get running in minutes to create mirrors of your
various favourite sites. Email listserv@jags.net and put
'add em.list' into the body of the mail message to join the
EasyMirror Mailing list.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1

%build
make em CFLAGS="$RPM_OPT_FLAGS"

%install
[ -d $RPM_BUILD_ROOT/usr/bin ] || mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 em $RPM_BUILD_ROOT/usr/bin/em

%clean
if [ `echo "$RPM_BUILD_ROOT" | cut -c 1-5` = "/tmp/" ]; then
	rm -rf "$RPM_BUILD_ROOT"
fi

%files
%defattr(-,root,root)
%doc em.txt
/usr/bin/*

%changelog
* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.18-2mdk
- fix group, permission on sources
- bzip2 patch

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
